### Method

# WPEPlatform BufferDMABufFormatsBuilder end

#### Declaration [src]

    WPEBufferDMABufFormats*
    wpe_buffer_dma_buf_formats_builder_end (
      WPEBufferDMABufFormatsBuilder* builder
    )

#### Description [src]

End the builder process and return the constructed `WPEBufferDMABufFormats`. This function calls `wpe_buffer_dma_buf_formats_builder_unref()` on `builder`.

#### Return value

Type: `WPEBufferDMABufFormats`

A new `WPEBufferDMABufFormats`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.